Package org.silverpeas.components.quickinfo.repository

# Class NewsRepository

java.lang.Object
org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<News>
org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<News>
org.silverpeas.components.quickinfo.repository.NewsRepository

All Implemented Interfaces:
  `org.silverpeas.core.persistence.datasource.repository.EntityRepository<News>`

@Repository public class NewsRepository extends org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<News>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<News>`
  `getBlockingNews()`
  `List<News>`
  `getByComponentId(String componentId)`
  `List<News>`
  `getByComponentIds(List<String> componentIds)`
  `News`
  `getByForeignId(String foreignId)`
  `List<News>`
  `getTickerNews()`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository

  `deleteByComponentInstanceId`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

  `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

  `delete, deleteById, getById, save, save`

- ## Constructor Details

  - ### NewsRepository

    public NewsRepository()

- ## Method Details

  - ### getByComponentId

    public List<News> getByComponentId(String componentId)

  - ### getByComponentIds

    public List<News> getByComponentIds(List<String> componentIds)

  - ### getByForeignId

    public News getByForeignId(String foreignId)

  - ### getBlockingNews

    public List<News> getBlockingNews()

  - ### getTickerNews

    public List<News> getTickerNews()